/**
 * @overview WMF Package
 * @author Jan "Waffle" Christophersen
 * @copyright (c) Jan "Waffle" Christophersen
 */

'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _libWmf = require('./lib/wmf');

var _libWmf2 = _interopRequireDefault(_libWmf);

/**
 * Initializes WMF.
 *
 * @see {WMF#constructor}
 * @returns {WMF}
 */

exports['default'] = (function () {
  if (typeof gtamp === 'undefined' || typeof events === 'undefined') {
    throw new Error('GTA:MP interface is missing');
  }

  // Check for existing wmf instance, return it if it exists. otherwise create a new one.
  var instance = events.Call('__wmfInstance');

  if (instance.length === 0) {
    var _ret = (function () {
      var wmf = new _libWmf2['default']();
      events.Add('__wmfInstance', function () {
        return wmf;
      });
      return {
        v: wmf
      };
    })();

    if (typeof _ret === 'object') return _ret.v;
  } else if (instance.length > 1) {
    throw new Error('multiple wmf instances?');
  }

  return instance[0];
})();

module.exports = exports['default'];
//# sourceMappingURL=index.js.map